#
# spec file for package mingw64-cross-cmake
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mingw64-cross-cmake
Version:        1.1.5
Release:        1.4
Summary:        Cross build support for CMake
License:        BSD-3-Clause
Group:          Development/Tools/Building
URL:            https://www.cmake.org/
Source1:        macros.mingw64-cmake
Source2:        mingw64-cmake.prov
Source3:        mingw64_cmake.attr
Source4:        mingw64-cmake.lua
BuildRequires:  mingw64-filesystem
Requires:       cmake >= 3.10
Requires:       mingw64-filesystem
BuildArch:      noarch
%_mingw64_package_header

%description
This package provides the required support files and macros
to create binary package for Windows with the CMake build system

%package -n mingw64-cross-ctest
Summary:        CTest support for cross CMake package
Requires:       mingw64-cross-cmake
Requires:       mingw64-cross-wine

%description -n mingw64-cross-ctest
This package provides the required package to running tests
with cross compiled binaries.

%prep

%build

%install
mkdir -p %{buildroot}%{_rpmmacrodir}
cp %{SOURCE1} %{buildroot}%{_rpmmacrodir}/macros.mingw64-cmake
mkdir -p %{buildroot}%{_bindir}
ln -s %{_libexecdir}/mingw64-scripts %{buildroot}%{_bindir}/mingw64-cmake

# cmake support
install -m 0755 %{SOURCE2} %{buildroot}%{_rpmconfigdir}
mkdir -p %{buildroot}%{_fileattrsdir}
install -m 0644 %{SOURCE3} %{buildroot}%{_fileattrsdir}

# lua macros
mkdir -p %{buildroot}%{_rpmluadir}
install -m 0644 %{SOURCE4} %{buildroot}%{_rpmluadir}

%files
%defattr(-,root,root)
%{_rpmluadir}
%{_rpmmacrodir}
%{_bindir}/mingw64-cmake
%{_rpmconfigdir}/mingw64-cmake.prov
%{_fileattrsdir}/mingw64_cmake.attr

%files -n mingw64-cross-ctest
%defattr(-,root,root)

%changelog
* Sat Aug 26 2023 Ralf Habacker <ralf.habacker@freenet.de>
- Update to version 1.1.5
  * Ignore the '--' parameter when calling the mingw64-cmake
    macro from the command line (boo#1214641).
  * Add support for using '..' as source directory when calling
    the mingw64-cmake macro (boo#1214642)
* Thu Jul 20 2023 Ralf Habacker <ralf.habacker@freenet.de>
- Update to version 1.1.4
  * Fix problem not adding version to mingw64(cmake:xxx) provides
    for Qt6 packages (boo#1213043)
* Wed Jul 12 2023 Imnotgivingmy nametoamachine <milanfix@protonmail.com>
- Update to version 1.1.3
  * Fixed /usr/bin/mingw64-cmake link being broken in tumbleweed
    due to this distro using a different path for the libexec folder.
    (see https://bugzilla.opensuse.org/show_bug.cgi?id=1213235)
* Mon Jun 26 2023 Ralf Habacker <ralf.habacker@freenet.de>
- Update to version 1.1.2
  * Fixed problems with parsing arguments - it turned out that the
    previously used for loop did not work in some environments
    (see https://gitlab.freedesktop.org/dbus/dbus/-/issues/464).
* Wed Jun 14 2023 Ralf Habacker <ralf.habacker@freenet.de>
- Update to version 1.1.1
  * The use of the parametric rpm macro was abandoned because it has
    too many limitations. With rpm >= 4.17 it would be possible to
    disable option processing (see
    https://rpm-software-management.github.io/rpm/manual/macros.html),
    but this is not possible with Leap, which uses rpm 4.14.
* Mon Jun 12 2023 Ralf Habacker <ralf.habacker@freenet.de>
- Update to version 1.1.0
  * Add mingw64-cmake.lua as placeholder for future Lua functions
  * %%_mingw64_cmake: enabled support for selecting a custom build and
    source directory by using the cmake options -S/-B (boo#1212238)
* Sun Feb 26 2023 Ralf Habacker <ralf.habacker@freenet.de>
- Initial version 1.0.0 (boo#1209611)
